<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="
       http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
       http://camel.apache.org/schema/spring http://camel.apache.org/schema/spring/camel-spring.xsd">

	<routeContext id="mpayRegMsgOutward" xmlns="http://camel.apache.org/schema/spring">

		<route id="mpClearClientRegistration" handleFault="true">
			<from  uri="jfwActivemq:queue:mpay.mpclear.register?concurrentConsumers=1" />
			<transacted ref="PROPAGATION_REQUIRED_JMS_JFW" />
			<setProperty propertyName="jfwViewName">
				<simple>${header.viewName}</simple>
			</setProperty>
			<log message="set view name"/>
			<setProperty propertyName="tenantId">
				<simple>${in.header.tenantID}</simple>
			</setProperty>
			<process ref="CreateMPClearWebServiceRequest" />
			<to uri="cxf:bean:mpClearRouterEndpoint" />
		</route>
	</routeContext>
</beans>